#
# spec file for package ht
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ht
Version:        2.1.0
Release:        lp150.1.8
Summary:        Disassembler, object dumper and hex editor
License:        GPL-2.0
Group:          Development/Tools/Debuggers
Url:            http://hte.sf.net/

#Git-Clone:	https://github.com/sebastianbiallas/ht
Source:         http://downloads.sf.net/hte/%name-%version.tar.bz2
Patch1:         ht-no-date.diff
Patch2:         ht-gcc7.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  libstdc++-devel
BuildRequires:  lzo-devel
BuildRequires:  ncurses-devel
Requires:       hte = %version

%description
The HT editor is a file viewer, editor and analyzer for text, binary,
and (especially) executable files.

This subpackage provides the program under its original name, "ht",
though texlive's tex4ht utility clashes with it, which is why the
real program is in the "hte" subpackage.

%package -n hte
Summary:        Disassembler, object dumper and hex editor
Group:          Development/Tools/Debuggers

%description -n hte
The HT editor is a file viewer, editor and analyzer for text, binary,
and (especially) executable files.

%prep
%setup -q
%patch -P 1 -P 2 -p1

%build
%configure --enable-release
make %{?_smp_mflags}

%install
b="%buildroot"
make install DESTDIR="$b"
pushd "$b/%_bindir/"
mv ht hte
ln -s hte ht
popd

%files
%defattr(-,root,root)
%_bindir/ht

%files -n hte
%defattr(-,root,root)
%_bindir/hte
%doc AUTHORS ChangeLog KNOWNBUGS NEWS README TODO

%changelog
* Wed Jun  7 2017 jengelh@inai.de
- Add ht-gcc7.diff
* Wed Feb 11 2015 benoit.monin@gmx.fr
- update to version 2.1.0:
  * updated included minilzo
  * new disassembler: Atmel AVR 8-bit microcontroller
  * [x86] SHA instructions
  * Fixed some crashes involving corrupt ELF files
  * More advanced display and handling of PE relocations
  * PE checksum calculation
- refresh patch ht-no-date.diff
* Fri Jan  9 2015 jengelh@inai.de
- Use original tarball/source URL
* Sat Jun 22 2013 jengelh@inai.de
- Provide the program under an altername name "hte" so as to
  continue to be able to install it alongside LyX in openSUSE 13.1
  (where lyx has a new requirement on tex4ht).
* Fri Jun 14 2013 jengelh@inai.de
- Update to new upstream release 2.0.22
  * Fixed selection of nodes in call chain
  * Added ability to view/edit 64 bit symbols and relocation for ELFs
  * Added new option "editor/scroll offset" which determines how many
  extra lines the cursor should be visible when scolling
  * Fixed loading of ELF files for alpha
* Thu Feb 28 2013 jengelh@inai.de
- Drop call to autoreconf; this is no longer necessary
* Fri Dec 21 2012 jengelh@inai.de
- Update to new upstream release 2.0.21
  * support new x86 opcodes (adcx, adox, clac, stac, rdseed)
  * fixed usage of unaliged pointers
  * ncurses API 6 support
- Add ht-no-date.diff
* Sun Mar  4 2012 jengelh@medozas.de
- Update to new upstream release 2.0.20
  * Last version had a bug preventing load of 32 bit ELFs
* Tue Feb 28 2012 jengelh@medozas.de
- Update to new upstream release 2.0.19
  * fixed a crash with the "follow" function on invalid addresses
  in analyser
  * AVX, AVX2, BMI, BMI2 and TBM instruction support on x86
  * fixed loading of ELF files with no section headers
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Mon Mar 28 2011 jengelh@medozas.de
- Enable detection of inverse hyperbolic math functions and make
  them available in the evaluator.
* Wed Mar 23 2011 jengelh@medozas.de
- Initial package for build.opensuse.org
